| # Gaudi Framework, version v20r2
Generated: 18 Jul 2008

- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# DataIncident Class Reference

`#include <DataIncident.h>`

Inheritance diagram for DataIncident:

[legend]
Collaboration diagram for DataIncident:

[legend]
List of all members.

## Detailed Description

Definition at line 18 of file DataIncident.h.

## Public Member Functions
| DataIncident (const std::string &source, const std::string &type, const std::string &tag)
  | Parameters:
  | source | [IN] Incident source (service or algorithm name)
virtual | ~DataIncident ()
| Standard destructor.
const std::string & | tag () const
| Accesssor to the tag value.
## Private Attributes
std::string | m_tag

## Constructor & Destructor Documentation

DataIncident::DataIncident | ( | const std::string & | source,
|  | const std::string & | type,
|  | const std::string & | tag |
| ) |  |  | `[inline]`

Parameters:

  | source | [IN] Incident source (service or algorithm name)

Parameters:

  | type | [IN] Incident type
  | tag | [IN] Incident tag

Returns:
  Reference to DataIncident object.

Definition at line 27 of file DataIncident.h.

    00030                : Incident(source, type), m_tag(tag)
    00031   {
    00032   }

virtual DataIncident::~DataIncident | ( |  | ) | `[inline, virtual]`

Standard destructor.

Definition at line 35 of file DataIncident.h.

    00035 { }

## Member Function Documentation

const std::string& DataIncident::tag | ( |  | ) | const`[inline]`

Accesssor to the tag value.

Definition at line 38 of file DataIncident.h.

References m_tag.

Referenced by DataOnDemandSvc::handle().

    00038 { return m_tag; }

## Member Data Documentation

std::string DataIncident::m_tag`[private]`

Definition at line 40 of file DataIncident.h.

Referenced by tag().

The documentation for this class was generated from the following file:

- /afs/cern.ch/sw/Gaudi/releases/GAUDI/GAUDI_v20r2/GaudiKernel/v25r2/GaudiKernel/DataIncident.h